Skip to content
Start here

Delete a webhook configuration

DELETE/accounts/{account_id}/data-security/posture/webhooks/{webhook_id}

Soft deletes a webhook configuration by its unique identifier. The webhook will be marked as deleted and will no longer be available for use.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Zero Trust Write
Path ParametersExpand Collapse
account_id: string
webhook_id: string
formatuuid
ReturnsExpand Collapse
errors: array of object { code, message, documentation_url, source }
code: number

Error or message code.

minimum1000
message: string

Human-readable message.

documentation_url: optional string

Link to relevant documentation.

formaturi
source: optional object { pointer }
pointer: optional string

JSON pointer to the source of the error.

messages: array of object { code, message, documentation_url, source }
code: number

Error or message code.

minimum1000
message: string

Human-readable message.

documentation_url: optional string

Link to relevant documentation.

formaturi
source: optional object { pointer }
pointer: optional string

JSON pointer to the source of the error.

success: boolean

Whether the API call was successful.

Delete a webhook configuration

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/data-security/posture/webhooks/$WEBHOOK_ID \
    -X DELETE \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "code": 1000,
      "message": "Request processed successfully",
      "documentation_url": "https://developers.cloudflare.com/api/operations/list-findings",
      "source": {
        "pointer": "/data/attributes/name"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "Request processed successfully",
      "documentation_url": "https://developers.cloudflare.com/api/operations/list-findings",
      "source": {
        "pointer": "/data/attributes/name"
      }
    }
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "Request processed successfully",
      "documentation_url": "https://developers.cloudflare.com/api/operations/list-findings",
      "source": {
        "pointer": "/data/attributes/name"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "Request processed successfully",
      "documentation_url": "https://developers.cloudflare.com/api/operations/list-findings",
      "source": {
        "pointer": "/data/attributes/name"
      }
    }
  ],
  "success": true
}